include:
  - '/modules/default.yml'
  - '/modules/build.yml'

Build Review Image:
  extends: .build:buildkit
  needs: []
  environment:
    name: review/$CI_COMMIT_REF_SLUG
    action: prepare
  rules:
    - if: '$PIT_SKIP_BUILD == "1"'
      when: never
    - if: '$CI_COMMIT_REF_NAME =~ /^feature\/.*$/'

Build Development Image:
  extends: .build:buildkit
  needs: []
  environment:
    name: development
    action: prepare
  rules:
    - if: '$PIT_SKIP_BUILD == "1"'
      when: never
    - if: '$CI_COMMIT_REF_NAME == "development"'

Build performance Image:
  extends: .build:buildkit
  needs: []
  environment:
    name: performance
    action: prepare
  rules:
    - if: '$PIT_SKIP_BUILD == "1"'
      when: never
    - if: '$CI_COMMIT_REF_NAME == "performance"'
  
Build Staging Image:
  extends: .build:buildkit
  needs: []
  environment:
    name: staging
    action: prepare
  rules:
    - if: '$PIT_SKIP_BUILD == "1"'
      when: never
    - if: '$CI_COMMIT_REF_NAME == "staging"'
    - if: '$CI_COMMIT_REF_NAME == "develop"'
    - if: '$CI_COMMIT_REF_NAME == "dev"'

Build Preprod Image:
  extends: .build:buildkit
  needs: []
  environment:
    name: preprod
    action: prepare
  rules:
    - if: '$PIT_SKIP_BUILD == "1"'
      when: never
    - if: '$CI_COMMIT_REF_NAME == "preprod"'
      
Build Production Image:
  extends: .build:buildkit
  needs: []
  environment:
    name: production
    action: prepare
  rules:
    - if: '$PIT_SKIP_BUILD == "1"'
      when: never
    - if: '$CI_COMMIT_REF_NAME == "production"'
    - if: '$CI_COMMIT_REF_NAME == "master"'
    - if: '$CI_COMMIT_REF_NAME == "main"'
  
Release Latest:
  extends: .release:buildkit:latest
